List interruptions for user attention. The results will be sorted by date from most recently to least recently created
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Query Parameters
idsarray of string
List of specific interruption IDs to load.pendingOnlyboolean
If true, lists only pending interruptions.regardingstring
Lists interruptions related to a specific other document, specified by its ID (e.g. a ServerTasks-, Projects- or Environments-* ID).skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Holds a list of interruptions returned in response to ListInterruptionsRequest
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectCanTakeResponsibilityboolean
Gets or sets a value indicating whether the current user has permissions to take responsibility for this interruption.CorrelationIdstring
Gets or sets the correlation ID of the activity in which the interruption was requested, if any.Createdstring
Gets the time at which the interruption was created. Formatdate-time.FormobjectHasResponsibilityboolean
Gets or sets a value indicating whether the current user has responsibility for this interruption.Idstring
Gets or sets a unique identifier for this resource.IsLinkedToOtherInterruptionboolean
If this interruption is linked to another it will be automatically completed when the other one is. Used to handle interruptions in child deployments.IsPendingboolean
True if the interruption is waiting for user action; otherwise, false.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PullRequestsarray of object
Gets or sets a list of pull requests associated with this interruption. This will only be populated when Type is PullRequestCompletion.RelatedDocumentIdsarray of string
Gets the ids of documents related to this interruption.ResponsibleTeamIdsarray of string
Gets the ids of groups that can take responsibility for this interruption.ResponsibleUserIdstring
Gets or sets the.SpaceIdstringTaskIdstring
Gets or sets the id of the Server Task raising the interruption.Titlestring
Gets or sets a title for this interruption.Typeenum
Gets or sets the type of interruption.
Allowed values:ManualIntervention,GuidedFailure,PullRequestCompletion,ArgoCDApplicationSync,KubernetesResourceVerification.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"CanTakeResponsibility": true,
"CorrelationId": "string",
"Created": "2020-01-01T00:00:00.000Z",
"Form": {
"Elements": [
{}
],
"Values": {}
},
"HasResponsibility": true,
"Id": "string",
"IsLinkedToOtherInterruption": true,
"IsPending": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PullRequests": [
{}
],
"RelatedDocumentIds": [
"string"
],
"ResponsibleTeamIds": [
"string"
],
"ResponsibleUserId": "string",
"SpaceId": "Spaces-1",
"TaskId": "string",
"Title": "string",
"Type": "ManualIntervention"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get an Interruption by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Interruption to load.spaceIdstring (required)
ID of the Space.
Response
200 — The requested Interruption
CanTakeResponsibilityboolean
Gets or sets a value indicating whether the current user has permissions to take responsibility for this interruption.CorrelationIdstring
Gets or sets the correlation ID of the activity in which the interruption was requested, if any.Createdstring
Gets the time at which the interruption was created. Formatdate-time.FormobjectElementsarray of object
Elements of the form.Valuesobject
Values supplied for the form elements.
HasResponsibilityboolean
Gets or sets a value indicating whether the current user has responsibility for this interruption.Idstring
Gets or sets a unique identifier for this resource.IsLinkedToOtherInterruptionboolean
If this interruption is linked to another it will be automatically completed when the other one is. Used to handle interruptions in child deployments.IsPendingboolean
True if the interruption is waiting for user action; otherwise, false.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PullRequestsarray of object
Gets or sets a list of pull requests associated with this interruption. This will only be populated when Type is PullRequestCompletion.IdstringInterruptionIdstringNumberintegerRepositoryUrlstringStatusenum
Allowed values:Unknown,Open,Merged,Closed,UnknownGitVendor.TitlestringUrlstring
RelatedDocumentIdsarray of string
Gets the ids of documents related to this interruption.ResponsibleTeamIdsarray of string
Gets the ids of groups that can take responsibility for this interruption.ResponsibleUserIdstring
Gets or sets the.SpaceIdstringTaskIdstring
Gets or sets the id of the Server Task raising the interruption.Titlestring
Gets or sets a title for this interruption.Typeenum
Gets or sets the type of interruption.
Allowed values:ManualIntervention,GuidedFailure,PullRequestCompletion,ArgoCDApplicationSync,KubernetesResourceVerification.
Example Response
{
"CanTakeResponsibility": true,
"CorrelationId": "string",
"Created": "2020-01-01T00:00:00.000Z",
"Form": {
"Elements": [
{
"Control": {},
"IsValueRequired": true,
"Name": "string"
}
],
"Values": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"HasResponsibility": true,
"Id": "string",
"IsLinkedToOtherInterruption": true,
"IsPending": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PullRequests": [
{
"Id": "InterruptionPullRequests-1",
"InterruptionId": "string",
"Number": 0,
"RepositoryUrl": "string",
"Status": "Unknown",
"Title": "string",
"Url": "string"
}
],
"RelatedDocumentIds": [
"string"
],
"ResponsibleTeamIds": [
"string"
],
"ResponsibleUserId": "string",
"SpaceId": "Spaces-1",
"TaskId": "string",
"Title": "string",
"Type": "ManualIntervention"
}Get the User that is currently responsible for this Interruption (if any)
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Interruption.spaceIdstring (required)
ID of the Space.
Response
200 — OK
Allow the current user to take responsibility for this interruption. Only users in one of the responsible teams on this interruption can take responsibility for it
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Interruption.spaceIdstring (required)
ID of the Space.
Response
200 — The User responsible for the requested Interruption
CanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
Example Response
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}Submit a dictionary of form values for the interruption. Only the user with responsibility for this interruption can submit this form
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Interruption.spaceIdstring (required)
ID of the Space.
Request Body
Guidancestring
Used for Guided Failure Interruptions. Should be one of “Fail”, “Retry”, “Ignore” or “Exclude”.Idstring (required)
ID of the Interruption. Minimum length 1.Instructionsstring
Optional free-text instructions recorded with the submission.Notesstring
Optional notes recorded with the submission and included in the audit log entry.Resultstring
Used for Manual Intervention Interruptions. Should be one of “Proceed” or “Abort”.SpaceIdstring (required)
ID of the Space.
Response
200 — Confirms that the Interruption has been submitted successfully, containing the updated Interruption
CanTakeResponsibilityboolean
Gets or sets a value indicating whether the current user has permissions to take responsibility for this interruption.CorrelationIdstring
Gets or sets the correlation ID of the activity in which the interruption was requested, if any.Createdstring
Gets the time at which the interruption was created. Formatdate-time.FormobjectElementsarray of object
Elements of the form.Valuesobject
Values supplied for the form elements.
HasResponsibilityboolean
Gets or sets a value indicating whether the current user has responsibility for this interruption.Idstring
Gets or sets a unique identifier for this resource.IsLinkedToOtherInterruptionboolean
If this interruption is linked to another it will be automatically completed when the other one is. Used to handle interruptions in child deployments.IsPendingboolean
True if the interruption is waiting for user action; otherwise, false.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PullRequestsarray of object
Gets or sets a list of pull requests associated with this interruption. This will only be populated when Type is PullRequestCompletion.IdstringInterruptionIdstringNumberintegerRepositoryUrlstringStatusenum
Allowed values:Unknown,Open,Merged,Closed,UnknownGitVendor.TitlestringUrlstring
RelatedDocumentIdsarray of string
Gets the ids of documents related to this interruption.ResponsibleTeamIdsarray of string
Gets the ids of groups that can take responsibility for this interruption.ResponsibleUserIdstring
Gets or sets the.SpaceIdstringTaskIdstring
Gets or sets the id of the Server Task raising the interruption.Titlestring
Gets or sets a title for this interruption.Typeenum
Gets or sets the type of interruption.
Allowed values:ManualIntervention,GuidedFailure,PullRequestCompletion,ArgoCDApplicationSync,KubernetesResourceVerification.
Example Request
{
"Guidance": "string",
"Id": "string",
"Instructions": "string",
"Notes": "string",
"Result": "string",
"SpaceId": "Spaces-1"
}Example Response
{
"CanTakeResponsibility": true,
"CorrelationId": "string",
"Created": "2020-01-01T00:00:00.000Z",
"Form": {
"Elements": [
{
"Control": {},
"IsValueRequired": true,
"Name": "string"
}
],
"Values": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"HasResponsibility": true,
"Id": "string",
"IsLinkedToOtherInterruption": true,
"IsPending": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PullRequests": [
{
"Id": "InterruptionPullRequests-1",
"InterruptionId": "string",
"Number": 0,
"RepositoryUrl": "string",
"Status": "Unknown",
"Title": "string",
"Url": "string"
}
],
"RelatedDocumentIds": [
"string"
],
"ResponsibleTeamIds": [
"string"
],
"ResponsibleUserId": "string",
"SpaceId": "Spaces-1",
"TaskId": "string",
"Title": "string",
"Type": "ManualIntervention"
}